Ingests one graded outcome over HTTP (the operator/automation bridge), auditing the principal's privileged write atomically with its effect.
POST
/v1/m/finops/outcomes
const url = 'https://example.com/v1/m/finops/outcomes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"occurred_at":"2026-04-15T12:00:00Z","outcome_ref":"example","source":"example","subject_kind":"session","subject_ref":"example","value_micro_usd":1,"verdict":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/finops/outcomes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "occurred_at": "2026-04-15T12:00:00Z", "outcome_ref": "example", "source": "example", "subject_kind": "session", "subject_ref": "example", "value_micro_usd": 1, "verdict": "example" }'Ingests one graded outcome over HTTP (the operator/automation bridge), auditing the principal’s privileged write atomically with its effect.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Any of:
object
occurred_at
Required when outcome_ref is absent; a zero time is rejected by the handler.
string format: date-time
outcome_ref
required
source
string
subject_kind
required
string
subject_ref
required
string
value_micro_usd
integer format: int64
verdict
required
string
object
occurred_at
required
Required when outcome_ref is absent; a zero time is rejected by the handler.
string format: date-time
outcome_ref
string
source
string
subject_kind
string
subject_ref
string
value_micro_usd
integer format: int64
verdict
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}